Bug 1821285 - When viewing in the web console, Chinese in configmap attach volume to pod turn into messy code
Summary: When viewing in the web console, Chinese in configmap attach volume to pod tu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.4.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1810937
Blocks: 1821647
TreeView+ depends on / blocked
 
Reported: 2020-04-06 13:47 UTC by Samuel Padgett
Modified: 2020-07-07 02:03 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, the OpenShift console pod terminal did not correctly handle Unicode characters. This problem has been fixed, and Unicode characters now display correctly.
Clone Of: 1810937
: 1821647 (view as bug list)
Environment:
Last Closed: 2020-05-04 11:48:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 4920 None closed Bug 1821285: Correctly handle Unicode characters in pod terminal 2020-07-06 00:41:16 UTC
Red Hat Knowledge Base (Solution) 5207891 None None None 2020-07-07 02:03:25 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:48:58 UTC

Comment 3 Yadan Pei 2020-04-10 08:09:56 UTC
Follow the steps in comment 1, now Chinese chars can be shown correctly in Pod terminal

sh-4.2$ cd /var/datatest/
sh-4.2$ ls
special.how  special.type
sh-4.2$ cat special.how 
verysh-4.2$ cat special.type
信息技术部

Verified on     4.4.0-0.nightly-2020-04-09-194724

Comment 5 errata-xmlrpc 2020-05-04 11:48:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.